QGIS Application - Bug report #11703
Add Invalid Layer to QgsLayerTreeGroup crashes QGIS 2.6
2014-11-20 11:55 PM - Akbar Gumbira

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category:

Affected QGIS version:2.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19945
Description

Hi, I know that this isn't the expected scenario. But if we feed QgsLayerTreeGroup with invalid layer, e.g just give it None, it will crash
QGIS.

Simple script that can be run in QGIS Python Console :

a = QgsLayerTreeGroup()
a.addLayer(None)

I think throwing Exception is better than not handling it at all

Associated revisions

Revision f28a6d1d - 2015-01-13 07:38 AM - Martin Dobias

Fix #11703 and #11704

Do not create a layer node if the passed layer cannot be used (not in registry)

History

#1 - 2014-11-23 01:26 PM - Tim Sutton

- Assignee changed from Tim Sutton to Martin Dobias
#2 - 2015-01-12 10:41 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"f28a6d1d7d426286f67b94b094a6653aec69f0a3".
